<div class="verificationPage">
  <app-popup></app-popup>
  <div class = "Triangle">

  </div>
  <div class = "verification">
    <div class = "circle"></div>
    <h1 class = "Heading">Verification</h1>
    <p class = "Paragraph">Dear, {{name}} please enter your verification code which sent to <span class = "number">+{{code}}{{number}}</span></p>
    <div class = "Form">
      <form [formGroup] = 'verificationFormGroup' (ngSubmit)="onSubmit()" >
        <div class = "input">
          <input [ngClass] = "{errorInp: error}" class="securityCode" type = "text" placeholder = "Security Code" formControlName = "otp"/>
          <p class = "expire" [ngClass] = "{expired: expire}">Verification code expired. Try to resend</p>
        </div>
        <p class = "expires" [ngClass] = "{expireD: expire}">Code Expires in <span class = "expireTime"> <countdown #timer [config]="{leftTime: 93, format: 'mm:ss'}" (event) = "handleEvent($event)"></countdown> </span></p>
        <button [disabled] = "expire? true:false" type = "submit" class = "loginBtn">Continue</button>
      </form>
    </div>
    <p class="ntReceive">Didn't receive a code? <a class = "resend" (click) = "Resend()">Resend</a></p>
  </div>
</div>
